﻿//*THE FOLLOWING BLOCK OF CODE CREATES THE HEAD TURNING EFFECT*//

var center = new flash.geom.Point(240, 140); //defines the x y values for the characters face to sit within the mask
var mouseDistance = 30;	// distance of movement rlative to the mouse from the faces new centre point
var mouseRadius = 150;	// distance from the mouse in which the movement is allowed
var easeEffects =7;	// easing of facial movement (this allows the face movement to ease, allowing the eye to seem twitchier)

// the following script sets the calculations for the faces movement in relativity to the mouse, values do not need altering

features_mc._x = center.x;
features_mc._y = center.y;
features_mc.target = center.clone();

features_mc.onEnterFrame = function() {
	
	var dx = this._parent._xmouse - center.x;
	var dy = this._parent._ymouse - center.y;
	var angle = Math.atan2(dy, dx);
	var dist = Math.sqrt(dx*dx + dy*dy);
	dist = Math.min(dist, mouseRadius);
	var amount = dist/mouseRadius;
	var movement = amount * mouseDistance;
	this.target.x = center.x + movement * Math.cos(angle);
	this.target.y = center.y + movement * Math.sin(angle);
	this._x += (this.target.x - this._x)/easeEffects;
	this._y += (this.target.y - this._y)/easeEffects;
};
