﻿//The following script imports and utilizes Flashes built in Tween Transition Classes.
//They have been used in the following script to create a rocking animation by using the
//rotate tween class, and the easing class "Regular" to add physics effect to the animation

import mx.transitions.Tween;
import mx.transitions.easing.*; //imports the classes

//creates a new tween "rotateTween" which instructs the instance "cro_mc" to rotate to a given degree value, 
//whilst also adding an easing class
var rotateTween:Tween = new Tween (cro_mc,"_rotation",Regular.easeInOut,-8,8,1,true); 

//this funtion tells the tween, once completed, to repeat itself in reverse, thus completing an infinite animation
rotateTween.onMotionFinished = function (){
this.yoyo()
}