﻿//The following code allows the jacket movie clip to adopt a turbulence effect
//as if it were blowing in the wind. Comments have been provided for the variables
//that can be changed t alter certain values that determine the extremity of the effect

turbEffect_mc.createEmptyMovieClip("turbulence", 1);

var waver_mc:MovieClip = turbEffect_mc.waver_mc;
waver_mc.swapDepths(2); 

//this code determines the turbulence variables change any commented values to see the effect

var turbSpeed = 7; // sets amplitude speed of the turbulence
var turbFlapX = 50; // amp along x axis
var turbFlapY = 100; // amp along y axis
var redChannel = 1; // red channel is used to cause the displacement effect (altering the density of the red in the gradient will affect the overall effect)...
var effectX = 60; // x axis size
var effectY = 0; // y axis size
var turbulenceSpeed = 2; // this figure alters the turbulence effect, higher numbers = greater turbulence effects
var rand = Math.floor(Math.random() * 50); // sets the level of random movement
var stitch = true; // repeats the filter flow
var curve = true; // filtrates edges curvature. setting false will give you angular edges
var grayScale = false; // disables greyscale filtration, as the effect is determined in the red redChannel of the gradient
var mode = "masker"; 
var turbOff = new flash.geom.Point(0, 0);


//do not alter the following values............

var turbJacket:flash.display.BitmapData = new flash.display.BitmapData(waver_mc._width, waver_mc._height);
var displaceFilter:flash.filters.DisplacementMapFilter = new flash.filters.DisplacementMapFilter(turbJacket, turbOff, redChannel, redChannel, turbFlapX, turbFlapY, mode);
var ampjacket:flash.display.BitmapData = new flash.display.BitmapData(500, 1);
ampjacket.perlinNoise(effectX, effectY, turbulenceSpeed, rand, stitch, curve, redChannel, grayScale);
var shift:flash.geom.Matrix = new flash.geom.Matrix();


onEnterFrame = function(){
	
	shift.translate(turbSpeed, 0);
	with (turbEffect_mc.turbulence){
		clear();
		beginBitmapFill(ampjacket, shift);
		moveTo(0,0);
		lineTo(waver_mc._width, 0);
		lineTo(waver_mc._width, waver_mc._height);
		lineTo(0, waver_mc._height);
		lineTo(0, 0);
		endFill();
	}
	
	turbJacket.draw(turbEffect_mc);
	jacket_mc.filters = [displaceFilter];
}

// this code ensures that the turbulence effect is shown affecting the jacket. Removing this code, displays the gradient displacement

	turbEffect_mc._visible = false;
	jacket_mc._visible = true;

