﻿onClipEvent(load){
	// VARIABLES
	totalRadius = 15  // this figure alters the distance in which the pupil moves from the center of the eye
	mouseRelativity = 10 // this figure alters the relationship between the mouse distance and the eye movement
	sideWay = 1.5 // alters the left to right movement distances from center (useful if your characters eyes are oval shaped
	origin = {x:0.0,y:-0.7} // center of eye
}

// This set of actionscript is the calculation that tells the eye how to respond to the mouse, the values do not need altering 

onClipEvent(mouseMove){
    xdiff = _parent._xmouse - origin.x
	ydiff = _parent._ymouse - origin.y
	radius = Math.min(Math.max(Math.sqrt(xdiff*xdiff+ydiff*ydiff)/mouseRelativity,0),totalRadius)
	angle = Math.atan2(ydiff,xdiff)
	_x = Math.cos(angle)*radius*sideWay + origin.x
	_y = Math.sin(angle)*radius+ origin.y
	updateAfterEvent()
}